Package org.drinkless.tdlib

# Class TdApi.GetPreparedKeyboardButton

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.KeyboardButton>
org.drinkless.tdlib.TdApi.GetPreparedKeyboardButton

Enclosing class:
  `TdApi`

public static class TdApi.GetPreparedKeyboardButton extends TdApi.Function<TdApi.KeyboardButton>
Returns a keyboard button prepared by the bot for the user. The button will be of the type keyboardButtonTypeRequestUsers, keyboardButtonTypeRequestChat, or keyboardButtonTypeRequestManagedBot.

Returns `KeyboardButton`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the bot that created the button.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `preparedButtonId`
  Identifier of the prepared button.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetPreparedKeyboardButton()`
  Default constructor for a function, which returns a keyboard button prepared by the bot for the user.
  `GetPreparedKeyboardButton(long botUserId, String preparedButtonId)`
  Creates a function, which returns a keyboard button prepared by the bot for the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the bot that created the button.

  - ### preparedButtonId

    public String preparedButtonId
    Identifier of the prepared button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetPreparedKeyboardButton

    public GetPreparedKeyboardButton()
    Default constructor for a function, which returns a keyboard button prepared by the bot for the user. The button will be of the type keyboardButtonTypeRequestUsers, keyboardButtonTypeRequestChat, or keyboardButtonTypeRequestManagedBot.

    Returns `KeyboardButton`

  - ### GetPreparedKeyboardButton

    public GetPreparedKeyboardButton(long botUserId, String preparedButtonId)
    Creates a function, which returns a keyboard button prepared by the bot for the user. The button will be of the type keyboardButtonTypeRequestUsers, keyboardButtonTypeRequestChat, or keyboardButtonTypeRequestManagedBot.

    Returns `KeyboardButton`

    Parameters:
      `botUserId` - Identifier of the bot that created the button.
      `preparedButtonId` - Identifier of the prepared button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.KeyboardButton>`
    Returns:
      this.CONSTRUCTOR